/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Takes a series of validator functions and return a new functions that evaluate whether the given value
 * is a valid value for all the previous validators.
 * It also removes duplicated validators
 * @param validators
 * @returns {function(*=): boolean}
 */
var compose = function compose() {
  for (var _len = arguments.length, validators = new Array(_len), _key = 0; _key < _len; _key++) {
    validators[_key] = arguments[_key];
  }

  return function (value) {
    return Array.from(new Set(validators)).every(function (validator) {
      return validator(value);
    });
  };
};

exports.default = compose;
