/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isTruthy = require('./isTruthy.js');

/**
 * Takes a prop and returns a new function evaluating that the received object has the defined prop.
 * @param prop
 * @returns {function(*=): boolean}
 */

var hasProp = function hasProp(prop) {
  return compose.default(isTruthy.default, function (value) {
    return prop && value[prop] !== undefined;
  });
};

exports.default = hasProp;
