/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Returns a validator for the defined shape
 * @param shape
 * @returns {function(*): boolean}
 */
var hasShape = function hasShape(shape) {
  return function (object) {
    return Object.keys(shape).every(function (prop) {
      var validator = shape[prop];
      var result = false;

      try {
        result = validator(object[prop]);
      } catch (e) {
        return false;
      }

      return result;
    });
  };
};

exports.default = hasShape;
