/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./strings/isString.js');
var isEmptyString = require('./strings/isEmptyString.js');
var when = require('./when.js');
var ofLength = require('./ofLength.js');
var isObject = require('./isObject.js');

/**
 * Returns true if the given value is empty (can be a string, an array or an object)
 * @type {function(*=): boolean}
 */

var isEmpty = compose.default(when.default(Array.isArray, ofLength.default(0)), when.default(isString.default, isEmptyString.default), when.default(isObject.default, function (value) {
  return isEmpty(Object.keys(value));
}));

exports.default = isEmpty;
