/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var or = require('./or.js');
var isFalse = require('./isFalse.js');
var isZero = require('./numbers/isZero.js');
var isNull = require('./isNull.js');
var isUndefined = require('./isUndefined.js');
var isEmptyString = require('./strings/isEmptyString.js');

/**
 * Returns true if the given value is falsy (false, zero, empty string, null, undefined or NaN)
 * @type {function(*=): *|boolean}
 */

var isFalsy = or.default(isFalse.default, isZero.default, isEmptyString.default, isNull.default, isUndefined.default, function (value) {
  return !value;
});

exports.default = isFalsy;
