/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isNull = require('./isNull.js');
var when = require('./when.js');
var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.js');
var stubFalse = require('./utils/stubFalse.js');

/**
 * Returns true if (and only) the given value is a valid object
 * @type {function(*=): boolean}
 */

var isObject = compose.default(when.default(isNull.default, stubFalse.default), function (value) {
  return _rollupPluginBabelHelpers.typeof(value) === 'object' && value.constructor === Object;
});

exports.default = isObject;
